Distribution:	CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		scribus
Version:	1.3.8
Release:	1
License:	GNU/GPL
URL:		http://www.scribus.net
Group:		Publishing
Summary:	Scribus is a DTP program for Linux.
Source0:	%{name}-%{version}-tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Patches

#PreRequires:
BuildRequires(pre):	coreutils
BuildRequires(pre):	cmake
BuildRequires(pre):	make
BuildRequires(pre):	patch

# podofo is only statically linked, ccuxbuild 
# doesn't detect static links
BuildRequires: podofo-devel

BuildRequires: python26-devel
BuildRequires: boost-devel
BuildRequires: pkg-config

#Automatically resolved build dependencies
BuildRequires: aspell-devel
BuildRequires: cairo-devel
BuildRequires: cups-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: lcms-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: openssl-devel
BuildRequires: qt4-devel
BuildRequires: zlib-devel

%description
Scribus a DTP program for Linux.
Its goal is to provide an easy-to-use tool for simple Desktop Publishing.
It tries be as professional as possible.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
cmake . -DCMAKE_INSTALL_PREFIX:PATH=%_prefix -DWANT_CAIRO=1
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 scribus.desktop $RPM_BUILD_ROOT%_applications

%files
%defattr(-,root,root)
%{_bindir}/scribus
%{_libdir}/scribus
%{_applications}/scribus.desktop
%{_docdir}/scribus-%{version}
%{_mandir}/de/man1/scribus.1.gz
%{_mandir}/man1/scribus.1.gz
%{_mandir}/pl/man1/scribus.1.gz
%{_datadir}/mimelnk/application/vnd.scribus.desktop
%{_datadir}/mime/packages/scribus.xml
%{_datadir}/scribus

%files devel
%defattr(-,root,root)
%{_includedir}/scribus

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.8-1
- Version update
* Tue Mar 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.6-1
- Version update
* Wed Aug 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-2
- regular release 1.3.5.0
* Wed Apr 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.3.5-1
- Version update, beta release of scribus that uses QT4
- scribus comes now with include files
* Sat Jan 26 2008 Christian Metzen <metzench@ccux-linux.de> 1.3.4-2
- rebuild against gcc 4.1.2
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-1
- Version Update
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3.9-1
- Version Update
* Thu Feb 28 2007 Christian Wasem <wasem@ccux-linux.de> 1.3.3.8-1
- Version update
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 1.3.3.7-1
- Version update
* Tue May 30 2006 Christian Wasem <wasem@ccux-linux.de> 1.3.3.2-1
- Version Update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3.1-1
- Version Update
* Mon Apr 03 2006 Christian Wasem <wasem@cux-linux.de> 1.3.3-1
- Update to Version 1.3.3
* Sat Feb 04 2006 Christian Wasem <wasem@cux-linux.de> 1.3.2-1
- Update to Version 1.3.2, added cairo support
* Tue Oct 05 2005 Christian Wasem <wasem@cux-linux.de> 1.3.1-1
- Update to Version 1.3.1
* Tue Sep 06 2005 Christian Wasem <wasem@cux-linux.de> 1.3.0-3
- rebuild, added PIL to Requires for more image import/export features
* Tue Aug 30 2005 Christian Wasem <wasem@cux-linux.de> 1.3.0-2
- rebuild for PDF/PS export
- library symlinks are now in the base package of scribus
* Sat Jul 16 2005 Christian Wasem <wasem@cux-linux.de> 1.3.0-1
- update to Version 1.3.0, moved more files to devel
* Wed Jul 06 2005 Christian Wasem <wasem@cux-linux.de> 1.2.2.1-1
- update to Version 1.2.2.1, group changed to Office
* Tue Jul 05 2005 Christian Wasem <wasem@cux-linux.de> 1.2.2-1
- update to Version 1.2.2, edit desktop.patch for new Version
- added cups and lcms as a dependency 
* Wed Jun 29 2005 Christian Wasem <wasem@cux-linux.de> 1.2.1-2
- rebuild for python-2.4.1, cleaning up specfile
- added desktop.patch
* Tue Feb 08 2005 Christian Wasem <wasem@cux-linux.de> 1.2.1-1
- update to version 1.2.1-1
